!
! $Id: compar1d.h 2010-08-04 17:02:56Z lahellec $
!
      integer :: forcing_type
      integer :: tend_u,tend_v,tend_w,tend_t,tend_q,tend_rayo
      real :: nudge_u,nudge_v,nudge_w,nudge_t,nudge_q
      integer :: iflag_nudge
      real :: nat_surf
      real :: tsurf
      real :: rugos
      real :: rugosh
      real :: xqsol(1:2)
      real :: qsurf
      real :: psurf
      real :: zsurf
      real :: albedo
      real :: snowmass

      real :: time
      real :: time_ini
      real :: xlat 
      real :: xlon 
      real :: airefi
      real :: wtsurf 
      real :: wqsurf 
      real :: restart_runoff 
      real :: xagesno 
      real :: qsolinp 
      real :: zpicinp 

      logical :: restart
      logical :: ok_old_disvert

! Pour les forcages communs: ces entiers valent 0 ou 1
! adv_temp= advection tempe idem pour l advection en theta et thetal
! adv_qv= advection qv, adv_qt= adv qt
! trad= 0 (rayonnement actif) ou 1 (prescrit par tend_rad) ou adv (prescir et contenu dans les adv_temp)
! thrad= 0 (rayonnement actif) ou 1 (prescrit par tend_rad) ou adv (prescir et contenu dans les adv_theta)
! forcages en omega, w, vent geostrophique ou ustar
! Parametres de nudging en u,v,t,q valent 0 ou 1 ou le temps de nudging

      integer :: adv_temp, adv_theta, adv_thetal
      character*20 :: rad_temp, rad_theta, rad_thetal
      integer :: adv_qv, adv_qt, adv_rv, adv_rt
      integer :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
      real    :: nudging_u, nudging_v, nudging_temp, nudging_theta, nudging_thetal
      real    :: p_nudging_u, p_nudging_v, p_nudging_temp, p_nudging_theta, p_nudging_thetal
      real    :: z_nudging_u, z_nudging_v, z_nudging_temp, z_nudging_theta, z_nudging_thetal
      real    :: nudging_qv, nudging_qt, nudging_rv, nudging_rt
      real    :: p_nudging_qv, p_nudging_qt, p_nudging_rv, p_nudging_rt
      real    :: z_nudging_qv, z_nudging_qt, z_nudging_rv, z_nudging_rt
      common/com_par1d_std/                                                            & 
     & nat_surf,tsurf,rugos,rugosh,                                                &
     & xqsol,qsurf,psurf,zsurf,albedo,time,time_ini,xlat,xlon,airefi,              &
     & wtsurf,wqsurf,restart_runoff,xagesno,qsolinp,zpicinp, forcing_type,         &
     & iflag_nudge,snowmass,                                                       &
     & restart,ok_old_disvert,                                                     &
     & adv_temp, adv_theta, adv_thetal, rad_temp, rad_theta, rad_thetal,           &
     & adv_qv, adv_qt, adv_rv, adv_rt,                                             &
     & forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar,                   &
     & nudging_u, nudging_v, nudging_temp, nudging_theta, nudging_thetal,          &
     & p_nudging_u, p_nudging_v, p_nudging_temp, p_nudging_theta, p_nudging_thetal,&
     & z_nudging_u, z_nudging_v, z_nudging_temp, z_nudging_theta, z_nudging_thetal,&
     & nudging_qv, nudging_qt, nudging_rv, nudging_rt,                             &
     & p_nudging_qv, p_nudging_qt, p_nudging_rv, p_nudging_rt,                     &
     & z_nudging_qv, z_nudging_qt, z_nudging_rv, z_nudging_rt

!$OMP THREADPRIVATE(/com_par1d_std/)











